kisokos

Nextcloud Android kliens: operation finished with http status code -1 (fail)

Probléma: Nem tudsz a Nextcloud szerveredhez Android kliensből csatlakozni. A meglévő kapcsolatok hellyel-közzel mennek, de sok az ilyen hiba: operation finished with http status code -1 (fail)
Ok: Van egy regresszió a 3.16-os kliensben, ami miatt részben inkompatibilis a TLS 1.3-mal. Ez csak akkor gond, ha a szervered csak TLS 1.3-at támogat, semmi mást.

Megoldás #1: Ha lehetséges, telepítsd vissza a 3.15-ös Nextcloud klienst. Azzal még nem volt probléma.
Megoldás #2: Ha lehetséges, frissíts a legújabb fejlesztői Nextcloud kliens változatra. A hiba abban már javítva van.
Megoldás #3: Kapcsold vissza a TLS 1.2 támogatást a webszerveredben amíg meg nem jelenik a javítás a kliens stabil kiadásában is (és a felhasználóid nem frissítenek).

MATE: hetek számának megjelenítése a naptárban

Probléma: MATE esetén a dátum és idő beállításoknál nincs lehetőség beállítani, hogy a naptárban a hetek száma is megjelenjen.
Megoldás #1 (dconf szerkesztővel) 20.04 LTS esetén:

  • Nyissuk meg a dconf szerkesztőt
  • Navigáljunk a /com/canonical/indicator/datetime/ útvonalra
  • A show-week-numbers lehetőséget állítsuk Igazra.
  • Alkalmazzuk a módosításokat

Gitlab: nem megy az LDAP integráció

GitLab logo
Probléma: Nem megy az LDAP integráció (elsősorban jelszó váltás után). A gitlab-rakde gitlab:ldap:check parancs szerint hibás az LDAP-hez használt felhasználói név vagy jelszó. Ugyanakkor biztos vagy benne, hogy jó párost használsz.
Megoldás: Ha minden kapcsolati problémát kizártál, akkor a jelszó „túl speciális”. Az LDAP jelszó ne tartalmazza a # és * karakterek egyikét sem.

Ansible: The PyMySQL (Python 2.7 and Python 3.X) or MySQL-python (Python 2.X) module is required

Ansible logó
Probléma : fatal: [127.0.0.1]: FAILED! => {"ansible_facts": {"discovered_interpreter_python": "/usr/bin/python3"}, "changed": false, "msg": "The PyMySQL (Python 2.7 and Python 3.X) or MySQL-python (Python 2.X) module is required."}
Azaz hiányzik a pymysql modul.

Firefox cache áthelyezés SSD-ről

Probléma: SSD esetén csökkenti annak élettartamát, ha azon található a Firefox gyorsítótára, mivel az sok írással jár.
Megoldás #1: Amennyiben legalább 16 GB memória áll rendelkezésre, érdemes lehet a gyorsítótárat lemezről a memóriába mozgatni:

  • Navigáljunk az about:config oldalra.
  • Kattintsunk a Kockázat elfogadása és továbblépés gombra.
  • Keressünk rá a browser.cache.memory.enable kulcsra, és állítsuk true-ra.
  • Keressünk rá a browser.cache.disk.enable kulcsra, és állítsuk false-ra.
  • Indítsuk újra a Firefoxot.

Apache OpenOffice: Ezt a dokumentumot az OpenOffice újabb verziójával hozták létre

Apache OpenOffice üzenet
Probléma: Egy dokumentumot Apache OpenOffice-ban megnyitva az „Ezt a dokumentumot az OpenOffice újabb verziójával hozták létre. Tartalmazhat olyan funkciókat, amelyeket a jelenlegi verzió nem támogat.” üzenet fogad, és frissítésre buzdít. Ugyanakkor nincs elérhető frissítés, az OpenOffice legújabb verzióját használod.